<?php

session_start();

set_time_limit( 0 );

define( 'ROOT', 'http://'.$_SERVER['HTTP_HOST'] );
define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );

include_once ROOT_DIR . '/engine/config.php';
mb_internal_encoding("UTF-8");

if ( !isset( $_SESSION['id'] ) ) {
    echo '<div class="big_topics bor_top round3 FFF hr"><font color="red"><b>Ошибка!</b> Вы не авторизированы.<br />Пожалуйста, воспользуйтесь формой авторизации.</font></div>';
} else {
$config_user = $pdo->Query("SELECT * from php_user WHERE id = '" . $_SESSION['id'] . "'")->fetch(PDO::FETCH_BOTH);
/*---Обрезаем email для защиты---*/
$start_end_email = preg_match( "/^([a-z0-9\-\.\_]+)(@[a-z0-9]+(?:\.?[a-z0-9]+)?\.[a-z]{2,5})/is", $config_user['email'], $outemail );
$sec_email_user = substr( $outemail[1], 0, 1 ) . '*******' . substr( $outemail[1], -1) . $outemail[2];

/*---Дата последнего входа---*/
 $month = array( 'янв', 'фев', 'мар', 'апр', 'май', 'июн', 'июл', 'авг', 'сен', 'окт', 'ноя', 'дек' );
 if ( date( 'd.m.Y', $config_user['regdata'] ) == date( 'd.m.Y', time() ) ) {
  $frd_logindate = 'сегодня в ' . date( 'H:i', $config_user['regdata'] ) . '';
 } else {
  $frd_logindate = '' . ( int ) date( 'd', $config_user['regdata'] ) . ' ' . $month[( int ) date( 'm', $config_user['regdata'] ) - 1] . ' ' . date( 'Y', $config_user['regdata'] ) . '';
 }

 /*---Для выделения меню---*/
$url_page = $_SERVER['REQUEST_URI'];
$bg = 'class="mmmenu"';
$bg1 = 'class="mmenu"';
?>
  <?
 if ( !isset( $_SESSION['id'] ) or $config_user['account'] != 5 ) {
 echo '';
 } else {
 	$edit_post = $pdo->Query("SELECT * from php_tovar WHERE id = '" . ( int ) $_GET['id'] . "' LIMIT 1")->fetch(PDO::FETCH_BOTH);
 ?>
  <div class="big_topics bor_top round3 FFF hr">
      <div class="main_top hr_menu padd5">
    <a <? if ( strpos( $url_page, 'admhome' ) ) echo $bg; else echo $bg1; ?> href="/admhome">Мод.Товаров</a>
    <a <? if ( strpos( $url_page, 'userpay' ) ) echo $bg; else echo $bg1; ?> href="/userpay">Выплаты</a>
    <a <? if ( strpos( $url_page, 'userlist' ) ) echo $bg; else echo $bg1; ?> href="/userlist">Пользователи</a>
    <a <? if ( strpos( $url_page, 'alltovar' ) ) echo $bg; else echo $bg1; ?> href="/alltovar">Все товары</a>
     <a <? if ( strpos( $url_page, 'set_con' ) ) echo $bg; else echo $bg1; ?> href="/set_con">Платежки</a>
<a <? if ( strpos( $url_page, 'all_con' ) ) echo $bg; else echo $bg1; ?> href="/all_con">Др. настройки</a>
<a <? if ( strpos( $url_page, 'coment' ) ) echo $bg; else echo $bg1; ?> href="/coment">Комментарии</a>
	 </div>
       
       <div class="wrap_user_r">
       <div class="menu_title">Редактирование товара: ID <?=$edit_post['id']?></div>
        <div class="padd5"></div>
        <script type="text/javascript">

function editserf() {
    $.ajax ({
        url: 'admin/ajax.php?func=editserf',
        type: 'POST',
        dataType: 'html',
        data: $("#editform").serialize(),
        success: function(data) {
            if (data == 1) {
                setTimeout(function(){location.assign('alltovar')} , 5000);
                $('body').Qnotify({text:'Данные успешно сохранены!', sound:'error'});
            } else {
				$('body').Qnotify({text:data, sound:'error'});
			}
        }
    });
}
</script>
<form id="editform" action="" method="POST">
<div class="top_games_mini">Категория:</div><select name="category"  id="category" class="ii round3" style="width:99% !important;">
		 <option value="1"  <? if($edit_post['category']==1) echo 'selected';?>>Скрипты</option>
		 <option value="2"  <? if($edit_post['category']==2) echo 'selected';?>>Лендинги</option>
		 <option value="3" <? if($edit_post['category']==3) echo 'selected';?>>Шаблоны</option>
		 <option value="4" <? if($edit_post['category']==4) echo 'selected';?>>Инфотовары</option>
		 <option value="5" <? if($edit_post['category']==5) echo 'selected';?>>Модули и плагины</option>
		 <option value="6" <? if($edit_post['category']==6) echo 'selected';?>>Разное</option>
		 </select>
<div class="padd10"></div><div class="top_games_mini">Цена <span class="rouble">Р</span></div><input type="hidden" name="idpost" id="idpost" value="<?=$edit_post['id']?>" /><input type="text" name="cena" id="cena" class="ii round3" value="<?=$edit_post['cena']?>" />
<div class="padd10"></div><div class="top_games_mini">Название:</div><input type="text" name="title" id="title" class="ii round3" value="<?=$edit_post['title']?>" />
<div class="padd10"></div><div class="top_games_mini">Краткое название:</div><textarea name="cratkaya" id="cratkaya" rows="7" style="width:97% !important; padding: 10px 5px; height: 50px; resize: vertical; background:#f7f7f7; border: solid 1px #DDD;" class="round3"><?=$edit_post['cratkaya']?></textarea>
<div class="padd10"></div><div class="top_games_mini">Полное описание:</div><textarea name="polnaya" id="polnaya" rows="7" style="width:97% !important; padding: 10px 5px; resize: vertical; background:#f7f7f7; border: solid 1px #DDD;" class="round3"><?=$edit_post['polnaya']?></textarea>
<div class="padd10"></div><input type="submit" value="Отправить" onclick="editserf();return false;" class="fb round3" style="padding:10px 25px;margin-left:225px;" />
</form>
</div>
 </div>
<?}}?>